Ticket #674 (closed tarefa: duplicate)

Opened 10 years ago

Last modified 7 years ago

Uso de 'PHP short tags'

Reported by: rodsouza Owned by: alguem
Priority: média Milestone: Expresso 2.5.0
Component: API Version: trunk
Severity: média Keywords: PHP short tags
Cc: WorkGroup:

Description

Substituir todas as 'PHP short tags'.

A linha de comando abaixo busca os arquivos que apresentam esse problema.

find . -name "*.php" -exec grep -H "<?" {} \; | grep -v "<?php" | grep -v "<?xml"

Os créditos da linha de comando acima é de Alexandre Muller.

Change History

comment:1 Changed 10 years ago by rodsouza

Alterando a 'PHP short tag' presente no arquico gotodownload.php

Committed revision r1473.

comment:2 Changed 10 years ago by rodsouza

Apenas uma alteração na linha para tornar mais fácil a localização.

find . -name "*.php" -exec grep -Hn "<?" {} \; | grep -v "<?php" | grep -v "<?xml" | grep "<?" --color

comment:3 Changed 10 years ago by rodsouza

Referência para o assunto em questão no php.net

 http://br2.php.net/manual/en/ini.core.php#ini.short-open-tag

Apenas ressaltando que isso não é um problema e sim uma tarefa que visa evitar problemas.

comment:4 Changed 10 years ago by niltonneto

Acho que precisamos programar um mutirão para padronizar todas essas tags.

comment:5 Changed 10 years ago by wmerlotto

  • Milestone changed from Expresso 2.1 to Expresso 2.2

comment:6 Changed 10 years ago by niltonneto

  • Milestone changed from Expresso 2.2 to Expresso 3.0

comment:7 Changed 9 years ago by niltonneto

  • Version trunk deleted
  • Severity set to média

comment:8 Changed 9 years ago by viani

  • Milestone changed from Backlog do Produto to Expresso 2.4.0

comment:9 follow-up: ↓ 10 Changed 9 years ago by joaquim.ferraz

Vou gerar o patch, podemos remanejar para a 2.2.6?

comment:10 in reply to: ↑ 9 Changed 9 years ago by niltonneto

Replying to joaquim.ferraz:

Vou gerar o patch, podemos remanejar para a 2.2.6?

Joaquim, esta tarefa não contempla um defeito ou mesmo um ajuste para corrigir funcionalidades da versão 2.2. Devemos aplicá-lo somente nas próximas versões maiores: 2.3, 2.4, etc...

comment:11 Changed 8 years ago by douglas

  • Milestone changed from Expresso 2.4.0 to Expresso 2.5.0

comment:12 Changed 7 years ago by viani

  • Version set to trunk

comment:13 Changed 7 years ago by douglas

  • Milestone changed from Expresso 2.5.0 to Expresso 2.5.1

comment:14 Changed 7 years ago by marcieli

  • Status changed from new to closed
  • Resolution set to duplicate
  • Milestone changed from Expresso 2.5.1 to Expresso 2.5.0

Será corrigido no ticket #3236

Note: See TracTickets for help on using tickets.